> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mynth.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task



## OpenAPI

````yaml https://api.mynth.io/openapi.json get /tasks/{id}
openapi: 3.1.0
info:
  title: Mynth
  description: Mynth API
  version: 1.0.0
servers: []
security: []
paths:
  /tasks/{id}:
    get:
      tags:
        - Tasks
      summary: Get Task
      operationId: getTasksById
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Task returned
          content:
            application/json:
              schema:
                type: object
                title: Task Details
                examples:
                  - data:
                      id: tsk_01KE7XWWEQ4MCGWKBQKJ1G47RP
                      apiKeyId: key_01KE7XWWEQ4MCGWKBQKJ1G47RP
                      userId: user_01KE7XWWEQ4MCGWKBQKJ1G47RP
                      status: completed
                      request:
                        model: black-forest-labs/flux.2-pro
                        prompt: A futuristic cityscape at sunset with flying cars
                        count: 1
                        size: landscape
                        output:
                          format: webp
                          quality: 80
                      result:
                        model: black-forest-labs/flux.2-pro
                        images:
                          - status: success
                            id: img_01KE7XWWEQ4MCGWKBQKJ1G47RP
                            url: https://cdn.example.com/generated/image1.webp
                            mynth_url: https://mynthcdn.example.com/generated/image1.webp
                            cost: '0.01250000'
                            size: 1536x1024
                      cost: '0.01250000'
                      type: image.generate
                      updatedAt: '2025-01-15T10:30:12.000Z'
                      createdAt: '2025-01-15T10:30:00.000Z'
                  - data:
                      id: tsk_01KE7XWWEQ4MCGWKBQKJ1G47RQ
                      apiKeyId: key_01KE7XWWEQ4MCGWKBQKJ1G47RP
                      userId: user_01KE7XWWEQ4MCGWKBQKJ1G47RP
                      status: completed
                      request:
                        urls:
                          - https://cdn.example.com/image1.webp
                        mode: nsfw_sfw
                      result:
                        results:
                          - status: success
                            url: https://cdn.example.com/image1.webp
                            level: sfw
                      cost: '0.00020000'
                      type: image.rate
                      updatedAt: '2025-01-15T10:30:05.000Z'
                      createdAt: '2025-01-15T10:30:00.000Z'
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          apiKeyId:
                            anyOf:
                              - type: string
                              - type: 'null'
                          cost:
                            anyOf:
                              - type: string
                              - type: 'null'
                          createdAt: {}
                          errors:
                            anyOf:
                              - type: number
                              - type: object
                              - type: string
                              - type: boolean
                              - type: 'null'
                          id:
                            type: string
                          request:
                            anyOf:
                              - type: object
                                properties:
                                  levels:
                                    type: array
                                    maxItems: 7
                                    minItems: 2
                                    items:
                                      type: object
                                      properties:
                                        description:
                                          type: string
                                          maxLength: 150
                                          minLength: 1
                                        value:
                                          type: string
                                          maxLength: 24
                                          minLength: 1
                                      required:
                                        - description
                                        - value
                                  mode:
                                    const: custom
                                  urls:
                                    type: array
                                    maxItems: 10
                                    minItems: 1
                                    items:
                                      type: string
                                required:
                                  - levels
                                  - mode
                                  - urls
                              - type: object
                                properties:
                                  mode:
                                    const: nsfw_sfw
                                  urls:
                                    type: array
                                    maxItems: 10
                                    minItems: 1
                                    items:
                                      type: string
                                required:
                                  - mode
                                  - urls
                          result:
                            type: object
                            properties:
                              results:
                                type: array
                                maxItems: 10
                                minItems: 1
                                items:
                                  anyOf:
                                    - type: object
                                      properties:
                                        error:
                                          type: object
                                          properties:
                                            code:
                                              type: string
                                          required:
                                            - code
                                        status:
                                          const: failed
                                        url:
                                          type: string
                                          description: The submitted image URL
                                      required:
                                        - error
                                        - status
                                        - url
                                    - type: object
                                      properties:
                                        level:
                                          type: string
                                          description: The rating level
                                          maxLength: 24
                                          minLength: 1
                                        status:
                                          const: success
                                        url:
                                          type: string
                                          description: The submitted image URL
                                      required:
                                        - level
                                        - status
                                        - url
                            required:
                              - results
                          status:
                            const: completed
                          type:
                            const: image.rate
                          updatedAt: {}
                          userId:
                            type: string
                        required:
                          - apiKeyId
                          - cost
                          - createdAt
                          - errors
                          - id
                          - request
                          - result
                          - status
                          - type
                          - updatedAt
                          - userId
                        additionalProperties: false
                      - type: object
                        properties:
                          apiKeyId:
                            anyOf:
                              - type: string
                              - type: 'null'
                          cost:
                            anyOf:
                              - type: string
                              - type: 'null'
                          createdAt: {}
                          errors:
                            anyOf:
                              - type: number
                              - type: object
                              - type: string
                              - type: boolean
                              - type: 'null'
                          id:
                            type: string
                          request:
                            anyOf:
                              - type: object
                                properties:
                                  levels:
                                    type: array
                                    maxItems: 7
                                    minItems: 2
                                    items:
                                      type: object
                                      properties:
                                        description:
                                          type: string
                                          maxLength: 150
                                          minLength: 1
                                        value:
                                          type: string
                                          maxLength: 24
                                          minLength: 1
                                      required:
                                        - description
                                        - value
                                  mode:
                                    const: custom
                                  urls:
                                    type: array
                                    maxItems: 10
                                    minItems: 1
                                    items:
                                      type: string
                                required:
                                  - levels
                                  - mode
                                  - urls
                              - type: object
                                properties:
                                  mode:
                                    const: nsfw_sfw
                                  urls:
                                    type: array
                                    maxItems: 10
                                    minItems: 1
                                    items:
                                      type: string
                                required:
                                  - mode
                                  - urls
                          result:
                            type: 'null'
                          status:
                            const: pending
                          type:
                            const: image.rate
                          updatedAt: {}
                          userId:
                            type: string
                        required:
                          - apiKeyId
                          - cost
                          - createdAt
                          - errors
                          - id
                          - request
                          - result
                          - status
                          - type
                          - updatedAt
                          - userId
                        additionalProperties: false
                      - type: object
                        properties:
                          apiKeyId:
                            anyOf:
                              - type: string
                              - type: 'null'
                          cost:
                            anyOf:
                              - type: string
                              - type: 'null'
                          createdAt: {}
                          errors:
                            anyOf:
                              - type: number
                              - type: object
                              - type: string
                              - type: boolean
                              - type: 'null'
                          id:
                            type: string
                          request:
                            type: object
                            properties:
                              prompt:
                                type: string
                                title: Prompt
                                description: Positive prompt.
                                examples:
                                  - Cute Cat
                                maxLength: 8192
                              output:
                                type: object
                                properties:
                                  format:
                                    enum:
                                      - jpg
                                      - png
                                      - webp
                                  quality:
                                    type: number
                                    maximum: 100
                                    minimum: 1
                                required:
                                  - format
                                  - quality
                                default:
                                  format: webp
                                  quality: 80
                              model:
                                anyOf:
                                  - const: alibaba/qwen-image-2.0
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: alibaba/qwen-image-2.0-pro
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: auto
                                    title: Auto model selection
                                    description: Model is selected based on the prompt.
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: black-forest-labs/flux-1-schnell
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: black-forest-labs/flux-virtual-try-on
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: black-forest-labs/flux.1-dev
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: black-forest-labs/flux.2-dev
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: black-forest-labs/flux.2-flex
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: black-forest-labs/flux.2-klein-4b
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: black-forest-labs/flux.2-max
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: black-forest-labs/flux.2-pro
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: bytedance/seedream-5.0-lite
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: google/gemini-3-pro-image-preview
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: google/gemini-3.1-flash-image
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: google/gemini-3.1-flash-lite-image
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: ideogram/remove-background
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: imagineart/imagineart-1.5-pro
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: imagineart/imagineart-2.0
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: john6666/bismuth-illustrious-mix
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: klingai/kling-image-3.0
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: klingai/kling-image-o3
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: krea/krea-2-large
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: krea/krea-2-medium
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: krea/krea-2-turbo
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: luma/uni-1
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: luma/uni-1-max
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: openai/gpt-image-2
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: prunaai/p-image-try-on
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: purplesmartai/pony-diffusion-v6-xl
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: recraft/recraft-v4
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: recraft/recraft-v4-pro
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: sourceful/riverflow-2.0-pro
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: tongyi-mai/z-image
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: tongyi-mai/z-image-turbo
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: wan/wan2.6-image
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: wan/wan2.7-image
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: wan/wan2.7-image-pro
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: xai/grok-imagine-image
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: xai/grok-imagine-image-quality
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                examples:
                                  - black-forest-labs/flux.2-pro
                                default: auto
                              count:
                                type: number
                                maximum: 20
                                minimum: 1
                                default: 1
                              destination:
                                type: string
                                examples:
                                  - bunny-prod
                                maxLength: 64
                                minLength: 1
                              inputs:
                                type: array
                                maxItems: 20
                                items:
                                  anyOf:
                                    - type: string
                                      maxLength: 2048
                                      minLength: 1
                                    - type: object
                                      properties:
                                        source:
                                          type: object
                                          properties:
                                            type:
                                              const: url
                                            url:
                                              type: string
                                          required:
                                            - type
                                            - url
                                        type:
                                          const: image
                                        as:
                                          enum:
                                            - auto
                                            - garment
                                            - person
                                            - pose
                                            - reference
                                            - source
                                      required:
                                        - source
                                        - type
                                      additionalProperties: false
                              magic_prompt:
                                const: true
                              metadata:
                                type: object
                              negative_prompt:
                                type: string
                                maxLength: 8192
                              rating:
                                anyOf:
                                  - type: object
                                    title: Custom Content Rating
                                    description: Content rating
                                    examples:
                                      - mode: custom
                                        levels:
                                          - value: <13
                                            description: Safe for Children
                                          - value: <18
                                            description: Safe for Teens
                                          - value: 18+
                                            description: Adults Only
                                    properties:
                                      levels:
                                        type: array
                                        maxItems: 7
                                        minItems: 2
                                        items:
                                          type: object
                                          properties:
                                            description:
                                              type: string
                                              maxLength: 150
                                              minLength: 1
                                            value:
                                              type: string
                                              maxLength: 24
                                              minLength: 1
                                          required:
                                            - description
                                            - value
                                      mode:
                                        const: custom
                                    required:
                                      - levels
                                      - mode
                                  - type: object
                                    title: Default Content Rating (nsfw/sfw)
                                    description: Content rating
                                    examples:
                                      - mode: nsfw_sfw
                                    properties:
                                      mode:
                                        const: nsfw_sfw
                                    required:
                                      - mode
                                  - const: true
                              size:
                                anyOf:
                                  - type: object
                                    properties:
                                      aspectRatio:
                                        enum:
                                          - '16:9'
                                          - '1:1'
                                          - '1:2'
                                          - '21:9'
                                          - '2:1'
                                          - '2:3'
                                          - '3:2'
                                          - '3:4'
                                          - '4:3'
                                          - '4:5'
                                          - '5:4'
                                          - '9:16'
                                      type:
                                        const: aspect_ratio
                                      scale:
                                        enum:
                                          - 4k
                                          - base
                                        default: base
                                    required:
                                      - aspectRatio
                                      - type
                                  - type: object
                                    properties:
                                      type:
                                        const: auto
                                    required:
                                      - type
                                  - const: '16:9'
                                  - const: 16:9_4k
                                  - const: '1:1'
                                  - const: 1:1_4k
                                  - const: '1:2'
                                  - const: 1:2_4k
                                  - const: '21:9'
                                  - const: 21:9_4k
                                  - const: '2:1'
                                  - const: 2:1_4k
                                  - const: '2:3'
                                  - const: 2:3_4k
                                  - const: '3:2'
                                  - const: 3:2_4k
                                  - const: '3:4'
                                  - const: 3:4_4k
                                  - const: '4:3'
                                  - const: 4:3_4k
                                  - const: '4:5'
                                  - const: 4:5_4k
                                  - const: '5:4'
                                  - const: 5:4_4k
                                  - const: '9:16'
                                  - const: 9:16_4k
                                  - const: auto
                                  - const: landscape
                                  - const: landscape_wide
                                  - const: portrait
                                  - const: portrait_tall
                                  - const: square
                              webhook:
                                type: object
                                properties:
                                  custom:
                                    type: array
                                    maxItems: 5
                                    minItems: 1
                                    items:
                                      type: object
                                      properties:
                                        url:
                                          type: string
                                      required:
                                        - url
                                  dashboard:
                                    const: false
                                    description: >-
                                      Disable dashboard-managed webhooks for
                                      this task. Request-level custom webhooks
                                      are still sent.
                            required:
                              - prompt
                          result:
                            type: object
                            title: Image Generate - Result
                            properties:
                              images:
                                type: array
                                items:
                                  anyOf:
                                    - type: object
                                      properties:
                                        cost:
                                          type: string
                                        id:
                                          type: string
                                        mynth_url:
                                          type: string
                                        size:
                                          type: string
                                          description: >-
                                            Size of the image after generation.
                                            Resolved from generated image, so it's
                                            always the true size of image. Presented
                                            in {width}x{height} format. For example:
                                            "1920x1080"
                                        status:
                                          const: success
                                        url:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        destination:
                                          anyOf:
                                            - type: object
                                              properties:
                                                error:
                                                  type: object
                                                  properties:
                                                    code:
                                                      type: string
                                                    message:
                                                      type: string
                                                    provider_response:
                                                      type: string
                                                  required:
                                                    - code
                                                name:
                                                  type: string
                                                status:
                                                  const: failed
                                              required:
                                                - error
                                                - name
                                                - status
                                            - type: object
                                              properties:
                                                name:
                                                  type: string
                                                status:
                                                  const: success
                                              required:
                                                - name
                                                - status
                                        rating:
                                          anyOf:
                                            - type: object
                                              properties:
                                                error:
                                                  type: object
                                                  properties:
                                                    code:
                                                      type: string
                                                  required:
                                                    - code
                                                status:
                                                  const: failed
                                              required:
                                                - error
                                                - status
                                            - type: object
                                              properties:
                                                level:
                                                  type: string
                                                status:
                                                  const: success
                                              required:
                                                - level
                                                - status
                                      required:
                                        - cost
                                        - id
                                        - mynth_url
                                        - size
                                        - status
                                        - url
                                    - type: object
                                      properties:
                                        error:
                                          type: object
                                          properties:
                                            code:
                                              type: string
                                            message:
                                              type: string
                                          required:
                                            - code
                                        status:
                                          const: failed
                                      required:
                                        - error
                                        - status
                              model:
                                enum:
                                  - alibaba/qwen-image-2.0
                                  - alibaba/qwen-image-2.0-pro
                                  - black-forest-labs/flux-1-schnell
                                  - black-forest-labs/flux-virtual-try-on
                                  - black-forest-labs/flux.1-dev
                                  - black-forest-labs/flux.2-dev
                                  - black-forest-labs/flux.2-flex
                                  - black-forest-labs/flux.2-klein-4b
                                  - black-forest-labs/flux.2-max
                                  - black-forest-labs/flux.2-pro
                                  - bytedance/seedream-5.0-lite
                                  - google/gemini-3-pro-image-preview
                                  - google/gemini-3.1-flash-image
                                  - google/gemini-3.1-flash-lite-image
                                  - ideogram/remove-background
                                  - imagineart/imagineart-1.5-pro
                                  - imagineart/imagineart-2.0
                                  - john6666/bismuth-illustrious-mix
                                  - klingai/kling-image-3.0
                                  - klingai/kling-image-o3
                                  - krea/krea-2-large
                                  - krea/krea-2-medium
                                  - krea/krea-2-turbo
                                  - luma/uni-1
                                  - luma/uni-1-max
                                  - openai/gpt-image-2
                                  - prunaai/p-image-try-on
                                  - purplesmartai/pony-diffusion-v6-xl
                                  - recraft/recraft-v4
                                  - recraft/recraft-v4-pro
                                  - sourceful/riverflow-2.0-pro
                                  - tongyi-mai/z-image
                                  - tongyi-mai/z-image-turbo
                                  - wan/wan2.6-image
                                  - wan/wan2.7-image
                                  - wan/wan2.7-image-pro
                                  - xai/grok-imagine-image
                                  - xai/grok-imagine-image-quality
                              magic_prompt:
                                type: object
                                properties:
                                  positive:
                                    type: string
                                  negative:
                                    type: string
                                required:
                                  - positive
                            required:
                              - images
                              - model
                          status:
                            const: completed
                          type:
                            const: image.generate
                          updatedAt: {}
                          userId:
                            type: string
                        required:
                          - apiKeyId
                          - cost
                          - createdAt
                          - errors
                          - id
                          - request
                          - result
                          - status
                          - type
                          - updatedAt
                          - userId
                        additionalProperties: false
                      - type: object
                        properties:
                          apiKeyId:
                            anyOf:
                              - type: string
                              - type: 'null'
                          cost:
                            anyOf:
                              - type: string
                              - type: 'null'
                          createdAt: {}
                          errors:
                            anyOf:
                              - type: number
                              - type: object
                              - type: string
                              - type: boolean
                              - type: 'null'
                          id:
                            type: string
                          request:
                            type: object
                            properties:
                              prompt:
                                type: string
                                title: Prompt
                                description: Positive prompt.
                                examples:
                                  - Cute Cat
                                maxLength: 8192
                              output:
                                type: object
                                properties:
                                  format:
                                    enum:
                                      - jpg
                                      - png
                                      - webp
                                  quality:
                                    type: number
                                    maximum: 100
                                    minimum: 1
                                required:
                                  - format
                                  - quality
                                default:
                                  format: webp
                                  quality: 80
                              model:
                                anyOf:
                                  - const: alibaba/qwen-image-2.0
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: alibaba/qwen-image-2.0-pro
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: auto
                                    title: Auto model selection
                                    description: Model is selected based on the prompt.
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: black-forest-labs/flux-1-schnell
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: black-forest-labs/flux-virtual-try-on
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: black-forest-labs/flux.1-dev
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: black-forest-labs/flux.2-dev
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: black-forest-labs/flux.2-flex
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: black-forest-labs/flux.2-klein-4b
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: black-forest-labs/flux.2-max
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: black-forest-labs/flux.2-pro
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: bytedance/seedream-5.0-lite
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: google/gemini-3-pro-image-preview
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: google/gemini-3.1-flash-image
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: google/gemini-3.1-flash-lite-image
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: ideogram/remove-background
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: imagineart/imagineart-1.5-pro
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: imagineart/imagineart-2.0
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: john6666/bismuth-illustrious-mix
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: klingai/kling-image-3.0
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: klingai/kling-image-o3
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: krea/krea-2-large
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: krea/krea-2-medium
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: krea/krea-2-turbo
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: luma/uni-1
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: luma/uni-1-max
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: openai/gpt-image-2
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: prunaai/p-image-try-on
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: purplesmartai/pony-diffusion-v6-xl
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: recraft/recraft-v4
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: recraft/recraft-v4-pro
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: sourceful/riverflow-2.0-pro
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: tongyi-mai/z-image
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: tongyi-mai/z-image-turbo
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: wan/wan2.6-image
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: wan/wan2.7-image
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: wan/wan2.7-image-pro
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: xai/grok-imagine-image
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: xai/grok-imagine-image-quality
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                examples:
                                  - black-forest-labs/flux.2-pro
                                default: auto
                              count:
                                type: number
                                maximum: 20
                                minimum: 1
                                default: 1
                              destination:
                                type: string
                                examples:
                                  - bunny-prod
                                maxLength: 64
                                minLength: 1
                              inputs:
                                type: array
                                maxItems: 20
                                items:
                                  anyOf:
                                    - type: string
                                      maxLength: 2048
                                      minLength: 1
                                    - type: object
                                      properties:
                                        source:
                                          type: object
                                          properties:
                                            type:
                                              const: url
                                            url:
                                              type: string
                                          required:
                                            - type
                                            - url
                                        type:
                                          const: image
                                        as:
                                          enum:
                                            - auto
                                            - garment
                                            - person
                                            - pose
                                            - reference
                                            - source
                                      required:
                                        - source
                                        - type
                                      additionalProperties: false
                              magic_prompt:
                                const: true
                              metadata:
                                type: object
                              negative_prompt:
                                type: string
                                maxLength: 8192
                              rating:
                                anyOf:
                                  - type: object
                                    title: Custom Content Rating
                                    description: Content rating
                                    examples:
                                      - mode: custom
                                        levels:
                                          - value: <13
                                            description: Safe for Children
                                          - value: <18
                                            description: Safe for Teens
                                          - value: 18+
                                            description: Adults Only
                                    properties:
                                      levels:
                                        type: array
                                        maxItems: 7
                                        minItems: 2
                                        items:
                                          type: object
                                          properties:
                                            description:
                                              type: string
                                              maxLength: 150
                                              minLength: 1
                                            value:
                                              type: string
                                              maxLength: 24
                                              minLength: 1
                                          required:
                                            - description
                                            - value
                                      mode:
                                        const: custom
                                    required:
                                      - levels
                                      - mode
                                  - type: object
                                    title: Default Content Rating (nsfw/sfw)
                                    description: Content rating
                                    examples:
                                      - mode: nsfw_sfw
                                    properties:
                                      mode:
                                        const: nsfw_sfw
                                    required:
                                      - mode
                                  - const: true
                              size:
                                anyOf:
                                  - type: object
                                    properties:
                                      aspectRatio:
                                        enum:
                                          - '16:9'
                                          - '1:1'
                                          - '1:2'
                                          - '21:9'
                                          - '2:1'
                                          - '2:3'
                                          - '3:2'
                                          - '3:4'
                                          - '4:3'
                                          - '4:5'
                                          - '5:4'
                                          - '9:16'
                                      type:
                                        const: aspect_ratio
                                      scale:
                                        enum:
                                          - 4k
                                          - base
                                        default: base
                                    required:
                                      - aspectRatio
                                      - type
                                  - type: object
                                    properties:
                                      type:
                                        const: auto
                                    required:
                                      - type
                                  - const: '16:9'
                                  - const: 16:9_4k
                                  - const: '1:1'
                                  - const: 1:1_4k
                                  - const: '1:2'
                                  - const: 1:2_4k
                                  - const: '21:9'
                                  - const: 21:9_4k
                                  - const: '2:1'
                                  - const: 2:1_4k
                                  - const: '2:3'
                                  - const: 2:3_4k
                                  - const: '3:2'
                                  - const: 3:2_4k
                                  - const: '3:4'
                                  - const: 3:4_4k
                                  - const: '4:3'
                                  - const: 4:3_4k
                                  - const: '4:5'
                                  - const: 4:5_4k
                                  - const: '5:4'
                                  - const: 5:4_4k
                                  - const: '9:16'
                                  - const: 9:16_4k
                                  - const: auto
                                  - const: landscape
                                  - const: landscape_wide
                                  - const: portrait
                                  - const: portrait_tall
                                  - const: square
                              webhook:
                                type: object
                                properties:
                                  custom:
                                    type: array
                                    maxItems: 5
                                    minItems: 1
                                    items:
                                      type: object
                                      properties:
                                        url:
                                          type: string
                                      required:
                                        - url
                                  dashboard:
                                    const: false
                                    description: >-
                                      Disable dashboard-managed webhooks for
                                      this task. Request-level custom webhooks
                                      are still sent.
                            required:
                              - prompt
                          result:
                            type: 'null'
                          status:
                            const: pending
                          type:
                            const: image.generate
                          updatedAt: {}
                          userId:
                            type: string
                        required:
                          - apiKeyId
                          - cost
                          - createdAt
                          - errors
                          - id
                          - request
                          - result
                          - status
                          - type
                          - updatedAt
                          - userId
                        additionalProperties: false
                      - type: object
                        properties:
                          apiKeyId:
                            anyOf:
                              - type: string
                              - type: 'null'
                          cost:
                            anyOf:
                              - type: string
                              - type: 'null'
                          createdAt: {}
                          errors:
                            anyOf:
                              - type: number
                              - type: object
                              - type: string
                              - type: boolean
                              - type: 'null'
                          id:
                            type: string
                          request:
                            type: object
                            properties:
                              urls:
                                type: array
                                maxItems: 10
                                minItems: 1
                                items:
                                  type: string
                            required:
                              - urls
                          result:
                            type: object
                            properties:
                              results:
                                type: array
                                maxItems: 10
                                minItems: 1
                                items:
                                  anyOf:
                                    - type: object
                                      properties:
                                        alt:
                                          type: string
                                          maxLength: 160
                                          minLength: 1
                                        status:
                                          const: success
                                        url:
                                          type: string
                                          description: The submitted image URL
                                      required:
                                        - alt
                                        - status
                                        - url
                                    - type: object
                                      properties:
                                        error:
                                          type: object
                                          properties:
                                            code:
                                              type: string
                                          required:
                                            - code
                                        status:
                                          const: failed
                                        url:
                                          type: string
                                          description: The submitted image URL
                                      required:
                                        - error
                                        - status
                                        - url
                            required:
                              - results
                          status:
                            const: completed
                          type:
                            const: image.alt
                          updatedAt: {}
                          userId:
                            type: string
                        required:
                          - apiKeyId
                          - cost
                          - createdAt
                          - errors
                          - id
                          - request
                          - result
                          - status
                          - type
                          - updatedAt
                          - userId
                        additionalProperties: false
                      - type: object
                        properties:
                          apiKeyId:
                            anyOf:
                              - type: string
                              - type: 'null'
                          cost:
                            anyOf:
                              - type: string
                              - type: 'null'
                          createdAt: {}
                          errors:
                            anyOf:
                              - type: number
                              - type: object
                              - type: string
                              - type: boolean
                              - type: 'null'
                          id:
                            type: string
                          request:
                            type: object
                            properties:
                              urls:
                                type: array
                                maxItems: 10
                                minItems: 1
                                items:
                                  type: string
                            required:
                              - urls
                          result:
                            type: 'null'
                          status:
                            const: pending
                          type:
                            const: image.alt
                          updatedAt: {}
                          userId:
                            type: string
                        required:
                          - apiKeyId
                          - cost
                          - createdAt
                          - errors
                          - id
                          - request
                          - result
                          - status
                          - type
                          - updatedAt
                          - userId
                        additionalProperties: false
                      - type: object
                        properties:
                          apiKeyId:
                            anyOf:
                              - type: string
                              - type: 'null'
                          cost:
                            anyOf:
                              - type: string
                              - type: 'null'
                          createdAt: {}
                          errors:
                            type: array
                            items:
                              type: object
                              properties:
                                code:
                                  type: string
                              required:
                                - code
                          id:
                            type: string
                          request:
                            anyOf:
                              - type: object
                                properties:
                                  levels:
                                    type: array
                                    maxItems: 7
                                    minItems: 2
                                    items:
                                      type: object
                                      properties:
                                        description:
                                          type: string
                                          maxLength: 150
                                          minLength: 1
                                        value:
                                          type: string
                                          maxLength: 24
                                          minLength: 1
                                      required:
                                        - description
                                        - value
                                  mode:
                                    const: custom
                                  urls:
                                    type: array
                                    maxItems: 10
                                    minItems: 1
                                    items:
                                      type: string
                                required:
                                  - levels
                                  - mode
                                  - urls
                              - type: object
                                properties:
                                  mode:
                                    const: nsfw_sfw
                                  urls:
                                    type: array
                                    maxItems: 10
                                    minItems: 1
                                    items:
                                      type: string
                                required:
                                  - mode
                                  - urls
                          result:
                            type: 'null'
                          status:
                            const: failed
                          type:
                            const: image.rate
                          updatedAt: {}
                          userId:
                            type: string
                        required:
                          - apiKeyId
                          - cost
                          - createdAt
                          - errors
                          - id
                          - request
                          - result
                          - status
                          - type
                          - updatedAt
                          - userId
                        additionalProperties: false
                      - type: object
                        properties:
                          apiKeyId:
                            anyOf:
                              - type: string
                              - type: 'null'
                          cost:
                            anyOf:
                              - type: string
                              - type: 'null'
                          createdAt: {}
                          errors:
                            type: array
                            items:
                              type: object
                              properties:
                                code:
                                  type: string
                              required:
                                - code
                          id:
                            type: string
                          request:
                            type: object
                            properties:
                              prompt:
                                type: string
                                title: Prompt
                                description: Positive prompt.
                                examples:
                                  - Cute Cat
                                maxLength: 8192
                              output:
                                type: object
                                properties:
                                  format:
                                    enum:
                                      - jpg
                                      - png
                                      - webp
                                  quality:
                                    type: number
                                    maximum: 100
                                    minimum: 1
                                required:
                                  - format
                                  - quality
                                default:
                                  format: webp
                                  quality: 80
                              model:
                                anyOf:
                                  - const: alibaba/qwen-image-2.0
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: alibaba/qwen-image-2.0-pro
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: auto
                                    title: Auto model selection
                                    description: Model is selected based on the prompt.
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: black-forest-labs/flux-1-schnell
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: black-forest-labs/flux-virtual-try-on
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: black-forest-labs/flux.1-dev
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: black-forest-labs/flux.2-dev
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: black-forest-labs/flux.2-flex
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: black-forest-labs/flux.2-klein-4b
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: black-forest-labs/flux.2-max
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: black-forest-labs/flux.2-pro
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: bytedance/seedream-5.0-lite
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: google/gemini-3-pro-image-preview
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: google/gemini-3.1-flash-image
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: google/gemini-3.1-flash-lite-image
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: ideogram/remove-background
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: imagineart/imagineart-1.5-pro
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: imagineart/imagineart-2.0
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: john6666/bismuth-illustrious-mix
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: klingai/kling-image-3.0
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: klingai/kling-image-o3
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: krea/krea-2-large
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: krea/krea-2-medium
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: krea/krea-2-turbo
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: luma/uni-1
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: luma/uni-1-max
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: openai/gpt-image-2
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: prunaai/p-image-try-on
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: purplesmartai/pony-diffusion-v6-xl
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: recraft/recraft-v4
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: recraft/recraft-v4-pro
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: sourceful/riverflow-2.0-pro
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: tongyi-mai/z-image
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: tongyi-mai/z-image-turbo
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: wan/wan2.6-image
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: wan/wan2.7-image
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: wan/wan2.7-image-pro
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: xai/grok-imagine-image
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                  - const: xai/grok-imagine-image-quality
                                    examples:
                                      - black-forest-labs/flux.2-pro
                                examples:
                                  - black-forest-labs/flux.2-pro
                                default: auto
                              count:
                                type: number
                                maximum: 20
                                minimum: 1
                                default: 1
                              destination:
                                type: string
                                examples:
                                  - bunny-prod
                                maxLength: 64
                                minLength: 1
                              inputs:
                                type: array
                                maxItems: 20
                                items:
                                  anyOf:
                                    - type: string
                                      maxLength: 2048
                                      minLength: 1
                                    - type: object
                                      properties:
                                        source:
                                          type: object
                                          properties:
                                            type:
                                              const: url
                                            url:
                                              type: string
                                          required:
                                            - type
                                            - url
                                        type:
                                          const: image
                                        as:
                                          enum:
                                            - auto
                                            - garment
                                            - person
                                            - pose
                                            - reference
                                            - source
                                      required:
                                        - source
                                        - type
                                      additionalProperties: false
                              magic_prompt:
                                const: true
                              metadata:
                                type: object
                              negative_prompt:
                                type: string
                                maxLength: 8192
                              rating:
                                anyOf:
                                  - type: object
                                    title: Custom Content Rating
                                    description: Content rating
                                    examples:
                                      - mode: custom
                                        levels:
                                          - value: <13
                                            description: Safe for Children
                                          - value: <18
                                            description: Safe for Teens
                                          - value: 18+
                                            description: Adults Only
                                    properties:
                                      levels:
                                        type: array
                                        maxItems: 7
                                        minItems: 2
                                        items:
                                          type: object
                                          properties:
                                            description:
                                              type: string
                                              maxLength: 150
                                              minLength: 1
                                            value:
                                              type: string
                                              maxLength: 24
                                              minLength: 1
                                          required:
                                            - description
                                            - value
                                      mode:
                                        const: custom
                                    required:
                                      - levels
                                      - mode
                                  - type: object
                                    title: Default Content Rating (nsfw/sfw)
                                    description: Content rating
                                    examples:
                                      - mode: nsfw_sfw
                                    properties:
                                      mode:
                                        const: nsfw_sfw
                                    required:
                                      - mode
                                  - const: true
                              size:
                                anyOf:
                                  - type: object
                                    properties:
                                      aspectRatio:
                                        enum:
                                          - '16:9'
                                          - '1:1'
                                          - '1:2'
                                          - '21:9'
                                          - '2:1'
                                          - '2:3'
                                          - '3:2'
                                          - '3:4'
                                          - '4:3'
                                          - '4:5'
                                          - '5:4'
                                          - '9:16'
                                      type:
                                        const: aspect_ratio
                                      scale:
                                        enum:
                                          - 4k
                                          - base
                                        default: base
                                    required:
                                      - aspectRatio
                                      - type
                                  - type: object
                                    properties:
                                      type:
                                        const: auto
                                    required:
                                      - type
                                  - const: '16:9'
                                  - const: 16:9_4k
                                  - const: '1:1'
                                  - const: 1:1_4k
                                  - const: '1:2'
                                  - const: 1:2_4k
                                  - const: '21:9'
                                  - const: 21:9_4k
                                  - const: '2:1'
                                  - const: 2:1_4k
                                  - const: '2:3'
                                  - const: 2:3_4k
                                  - const: '3:2'
                                  - const: 3:2_4k
                                  - const: '3:4'
                                  - const: 3:4_4k
                                  - const: '4:3'
                                  - const: 4:3_4k
                                  - const: '4:5'
                                  - const: 4:5_4k
                                  - const: '5:4'
                                  - const: 5:4_4k
                                  - const: '9:16'
                                  - const: 9:16_4k
                                  - const: auto
                                  - const: landscape
                                  - const: landscape_wide
                                  - const: portrait
                                  - const: portrait_tall
                                  - const: square
                              webhook:
                                type: object
                                properties:
                                  custom:
                                    type: array
                                    maxItems: 5
                                    minItems: 1
                                    items:
                                      type: object
                                      properties:
                                        url:
                                          type: string
                                      required:
                                        - url
                                  dashboard:
                                    const: false
                                    description: >-
                                      Disable dashboard-managed webhooks for
                                      this task. Request-level custom webhooks
                                      are still sent.
                            required:
                              - prompt
                          result:
                            type: 'null'
                          status:
                            const: failed
                          type:
                            const: image.generate
                          updatedAt: {}
                          userId:
                            type: string
                        required:
                          - apiKeyId
                          - cost
                          - createdAt
                          - errors
                          - id
                          - request
                          - result
                          - status
                          - type
                          - updatedAt
                          - userId
                        additionalProperties: false
                      - type: object
                        properties:
                          apiKeyId:
                            anyOf:
                              - type: string
                              - type: 'null'
                          cost:
                            anyOf:
                              - type: string
                              - type: 'null'
                          createdAt: {}
                          errors:
                            type: array
                            items:
                              type: object
                              properties:
                                code:
                                  type: string
                              required:
                                - code
                          id:
                            type: string
                          request:
                            type: object
                            properties:
                              urls:
                                type: array
                                maxItems: 10
                                minItems: 1
                                items:
                                  type: string
                            required:
                              - urls
                          result:
                            type: 'null'
                          status:
                            const: failed
                          type:
                            const: image.alt
                          updatedAt: {}
                          userId:
                            type: string
                        required:
                          - apiKeyId
                          - cost
                          - createdAt
                          - errors
                          - id
                          - request
                          - result
                          - status
                          - type
                          - updatedAt
                          - userId
                        additionalProperties: false
                required:
                  - data
      security:
        - apiKeyAuth: []
        - oauthAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: http
      scheme: bearer
      description: 'Mynth API key sent as `Authorization: Bearer <api-key>`.'
    oauthAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'OAuth access token sent as `Authorization: Bearer <access-token>`.'

````